Skip to main content
PATCH
/
api
/
v2
/
users
/
{id}
Update user
curl --request PATCH \
  --url https://sandbox.killb.app/api/v2/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "John",
  "middleName": "Carlos",
  "lastName": "Francisco",
  "dateOfBirth": "1992-01-01",
  "email": "[email protected]",
  "phone": "+576015555555",
  "nationality": "CO",
  "citizenship": "CO",
  "employmentStatus": "EMPLOYEE",
  "employmentDescription": "Software Engineer",
  "employerName": "Google",
  "occupation": "Software Engineer"
}
'
{
  "id": "4d23aa52-1b40-4584-a8ea-58aba6099c5c",
  "status": "ACTIVE",
  "customerId": "8ffce092-b97a-48bd-9efa-24c66ac7fe13",
  "type": "PERSON",
  "data": {
    "firstName": "John",
    "lastName": "Francisco",
    "dateOfBirth": "1992-01-01",
    "email": "[email protected]",
    "phone": "+576015555555",
    "address": {
      "street1": "68528 Dwight Court",
      "city": "Fiorenze",
      "state": "New York",
      "zipCode": "48245000",
      "countryCode": "CO",
      "street2": "Apt 488"
    },
    "document": {
      "type": "PASSPORT",
      "number": "GE04292393",
      "issuedCountryCode": "CO",
      "expeditionDate": "1992-01-01",
      "cic": "1111111111",
      "identificadorCiudadano": "1234567890",
      "ocr": "1111111111",
      "numeroEmision": "01"
    },
    "middleName": "Carlos",
    "nationality": "CO",
    "citizenship": "CO",
    "employmentStatus": "EMPLOYEE",
    "employmentDescription": "Software Engineer",
    "employerName": "Google",
    "occupation": "Software Engineer",
    "investmentProfile": {
      "primarySourceOfFunds": "EMPLOYMENT",
      "primarySourceOfFundsDescription": "I work at Google",
      "totalAssets": "UPTO_10K",
      "usdValueOfFiat": "UPTO_10K",
      "monthlyDeposits": "UPTO_5",
      "monthlyWithdrawals": "UPTO_5",
      "monthlyInvestmentDeposit": "UPTO_1K",
      "monthlyInvestmentWithdrawal": "UPTO_1K",
      "usdValueOfCrypto": "UPTO_1K",
      "monthlyCryptoDeposits": "UPTO_5",
      "monthlyCryptoWithdrawals": "UPTO_5",
      "monthlyCryptoInvestmentDeposit": "UPTO_1K",
      "monthlyCryptoInvestmentWithdrawal": "UPTO_1K"
    },
    "kycProfile": {
      "fundsSendReceiveJurisdictions": [
        "<string>"
      ],
      "engageInActivities": "NONE"
    }
  },
  "complianceUrl": "https://kyc.example.com",
  "accessLevel": "L0",
  "note": "Identity verification completed successfully.",
  "active": true,
  "createdAt": "2024-02-06T00:03:30.791Z",
  "updatedAt": "2024-02-06T00:03:30.791Z",
  "externalId": "d00e4f43-2022-42f3-ba1c-dcf4c1dcd934"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Body

application/json
firstName
string
Example:

"John"

middleName
string
Example:

"Carlos"

lastName
string
Example:

"Francisco"

dateOfBirth
string
Example:

"1992-01-01"

email
string
phone
string
Example:

"+576015555555"

address
object
document
object
nationality
string
Example:

"CO"

citizenship
string
Example:

"CO"

employmentStatus
enum<string>
Available options:
EMPLOYEE,
SELF_EMPLOYED,
RETIRED,
UNEMPLOYED,
OTHER
Example:

"EMPLOYEE"

employmentDescription
string
Example:

"Software Engineer"

employerName
string
Example:

"Google"

occupation
string
Example:

"Software Engineer"

investmentProfile
object
kycProfile
object

Response

id
string
required
Example:

"4d23aa52-1b40-4584-a8ea-58aba6099c5c"

status
enum<string>
required
Available options:
ACTIVE,
PENDING,
REJECTED
Example:

"ACTIVE"

customerId
string
required
Example:

"8ffce092-b97a-48bd-9efa-24c66ac7fe13"

type
enum<string>
required
Available options:
PERSON,
COMPANY
Example:

"PERSON"

data
PERSON · object
required
complianceUrl
string
required
Example:

"https://kyc.example.com"

accessLevel
enum<string>
required
Available options:
L0,
L1,
L2,
L3,
L4
Example:

"L0"

note
string
required

give you details about the compliance process

Example:

"Identity verification completed successfully."

active
boolean
required
Example:

true

createdAt
string<date-time>
required
Example:

"2024-02-06T00:03:30.791Z"

updatedAt
string<date-time>
required
Example:

"2024-02-06T00:03:30.791Z"

externalId
string

A unique identifier used to identify your existing user.

Example:

"d00e4f43-2022-42f3-ba1c-dcf4c1dcd934"